#!/bin/sh
#################################################################
# This script is used to add the new Action modules needed for 
# this snmpdsa. It is enough to execute it once. A repeated 
# execution will have no impact though
#
# It takes 3 arguments. The serverName, userId and password 
################################################################

if [ -z "$IMPACT_HOME" ]; then
    echo "IMPACT_HOME environment variable not set, using /opt/netcool/impact."
    IMPACT_HOME=/opt/netcool/impact export IMPACT_HOME
fi

case $# in
0) echo "Invalid Arguments for AddActions script, should be "; echo " AddActions.sh serverName userId password";exit;;
1) echo "Invalid Arguments for AddActions script, should be "; echo " AddActions.sh serverName userId password";exit;;
2) echo "Invalid Arguments for AddActions script, should be "; echo " AddActions.sh serverName userId password";exit;;
esac

SERVERNAME=$1
USERID=$2
PASSWORD=$3

echo "AddActions.sh adding actions to Impact server $SERVER located at $IMPACT_HOME"

echo "*******************Adding the SnmpGetAction*****************************"
$IMPACT_HOME/bin/nci_add_action $SERVERNAME $USERID $PASSWORD SnmpGetAction

echo "*******************Adding the SnmpGetNextAction*************************"
$IMPACT_HOME/bin/nci_add_action $SERVERNAME $USERID $PASSWORD SnmpGetNextAction

echo "*******************Adding the SnmpSetAction*****************************"
$IMPACT_HOME/bin/nci_add_action $SERVERNAME $USERID $PASSWORD SnmpSetAction

echo "*******************Adding the SnmpTrapAction****************************"
$IMPACT_HOME/bin/nci_add_action $SERVERNAME $USERID $PASSWORD SnmpTrapAction
