@echo off

rem #################################################################
rem  This script is used to add the new Action modules needed for 
rem  this snmpdsa. It is enough to execute it once. A repeated 
rem  execution will have no impact though
rem  It takes 3 arguments. The serverName, userId and password 
rem ################################################################

set BASEDIR=__BASEDIR__
set DRIVE=%BASEDIR:~1,2%

if "%1" EQU "-help" goto syntax
if "%1" EQU "" goto syntax
if "%2" EQU "" goto syntax
if "%3" EQU "" goto syntax
goto firstparamok

:syntax
echo AddActions: invalid syntax
echo proper syntax:
echo "AddActions.bat <server name> <username> <password> 
goto end

:firstparamok

%DRIVE%
cd "%BASEDIR%"

echo "*******************Adding the SnmpGetAction*****************************"
CALL %BASEDIR%\bin\nci_add_action.bat %1 %2 %3 SnmpGetAction

echo "*******************Adding the SnmpGetNextAction*************************"
CALL %BASEDIR%\bin\nci_add_action.bat %1 %2 %3 SnmpGetNextAction

echo "*******************Adding the SnmpSetAction*****************************"
CALL %BASEDIR%\bin\nci_add_action.bat %1 %2 %3 SnmpSetAction

echo "*******************Adding the SnmpTrapAction****************************"
CALL %BASEDIR%\bin\nci_add_action.bat %1 %2 %3 SnmpTrapAction

:end
